# SparkFlexSwerve.SparkMAX_slotIdx
declaration: package: swervelib.motors, class: SparkFlexSwerve, enum: SparkMAX_slotIdx

Package swervelib.motors

# Enum Class SparkFlexSwerve.SparkMAX_slotIdx

java.lang.Object
java.lang.Enum<SparkFlexSwerve.SparkMAX_slotIdx>
swervelib.motors.SparkFlexSwerve.SparkMAX_slotIdx

All Implemented Interfaces:
  `Serializable`, `Comparable<SparkFlexSwerve.SparkMAX_slotIdx>`, `Constable`

Enclosing class:
  SparkFlexSwerve

static enum SparkFlexSwerve.SparkMAX_slotIdx extends Enum<SparkFlexSwerve.SparkMAX_slotIdx>
REV Slots for PID configuration.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Position`
Slot 1, used for position PID's.
`Simulation`
Slot 3, used arbitrarily.
`Velocity`
Slot 2, used for velocity PID's.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SparkMAX_slotIdx()`

## Method Summary

Modifier and Type
Method
Description
`static SparkFlexSwerve.SparkMAX_slotIdx`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SparkFlexSwerve.SparkMAX_slotIdx[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Position

public static final SparkFlexSwerve.SparkMAX_slotIdx Position
Slot 1, used for position PID's.

### Velocity

public static final SparkFlexSwerve.SparkMAX_slotIdx Velocity
Slot 2, used for velocity PID's.

### Simulation

public static final SparkFlexSwerve.SparkMAX_slotIdx Simulation
Slot 3, used arbitrarily. (Documentation show simulations).

## Constructor Details

### SparkMAX_slotIdx

private SparkMAX_slotIdx()

## Method Details

### values

public static SparkFlexSwerve.SparkMAX_slotIdx[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SparkFlexSwerve.SparkMAX_slotIdx valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null